@extends('cms::admin.layouts.app')
@php
    /**
     * @var \TDevAgency\Cms\Models\Provider $provider
    */
@endphp
@section('content')
    <form action="{{$formRoute}}" class="card" method="post" enctype="multipart/form-data">
        @csrf
        @method($formMethod)
        <div class="card-header text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
        <div class="card-body">

            @component('cms::components.input')
                @slot('key', 'name')
                @slot('placeholder', trans('erp::erp.provider_name'))
                @slot('validate', 'required')
                @slot('value', old('name', $provider->name?? null))
            @endcomponent

            @component('cms::components.input')
                @slot('key', 'contact_person')
                @slot('placeholder', trans('erp::erp.contact_person'))
                @slot('value', old('contact_person', $provider->contact_person?? null))
            @endcomponent

            @component('cms::components.input')
                @slot('key', 'phone_one')
                @slot('placeholder', trans('erp::erp.phone'))
                @slot('value', old('phone_one', $provider->phone_one?? null))
            @endcomponent

            @component('cms::components.input')
                @slot('key', 'phone_two')
                @slot('placeholder', trans('erp::erp.phone_two'))
                @slot('value', old('phone_two', $provider->phone_two?? null))
            @endcomponent

            @component('cms::components.input')
                @slot('key', 'email')
                @slot('type', 'email')
                @slot('placeholder', trans('erp::erp.email'))
                @slot('value', old('email', $provider->email?? null))
            @endcomponent

            @component('cms::components.input')
                @slot('key', 'address')
                @slot('placeholder', trans('erp::erp.address'))
                @slot('value', old('address', $provider->address?? null))
            @endcomponent

            {{--            @component('cms::components.select2')--}}
            {{--                    @slot('key', 'currency')--}}
            {{--                    @slot('placeholder', trans('erp::erp.currency'))--}}
            {{--                    @slot('value', old('currency', $provider->currency?? null))--}}
            {{--                    @slot('options', selectCurrency())--}}
            {{--            @endcomponent--}}

        </div>
        <div class="card-footer text-right">
            <button
                class="btn btn-success">{{trans($formMethod === 'POST' ? 'cms::admin.create' :'cms::admin.update')}}</button>
        </div>
    </form>
@endsection
@push('styles')
    <style>[for=exchange_rate] {
        display: none
    }</style>
@endpush
