<?php


namespace TDevAgency\Erp\Commands;


use Illuminate\Console\Command;
use Illuminate\Contracts\Container\BindingResolutionException;
use Illuminate\Support\Facades\File;


class PublicAssets extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'cms:erp:assets';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Set symlink to assets';

    /**
     * Execute the console command.
     *
     * @return mixed
     * @throws BindingResolutionException
     */
    public function handle()
    {
        if (file_exists(public_path('erp'))) {
            File::cleanDirectory(public_path('erp'));
            $this->laravel->make('files')->deleteDirectory(public_path('erp'));
        }

        $this->laravel->make('files')->makeDirectory(public_path('erp'));

        if ($this->laravel->make('files')->exists(TDEV_AGENCY_ERP_ROOT . 'public' . DIRECTORY_SEPARATOR . 'js')) {
            $this->laravel->make('files')->link(
                TDEV_AGENCY_ERP_ROOT . 'public' . DIRECTORY_SEPARATOR . 'js',
                public_path('erp/js')
            );
        }


        $this->info('The [public/erp] directory has been linked.');
    }
}
